<?php

namespace App\Domains\Auth\Repositories\Eloquent;

use App\Domains\Auth\Models\Admin;
use App\Domains\Auth\Repositories\Contracts\AdminRepositoryInterface;

class EloquentAdminRepository implements AdminRepositoryInterface
{
    public function findByEmail(string $email): ?Admin
    {
        return Admin::where('email', $email)->first();
    }
}